runXgboost <- function(max_depth=6,nrounds=10,eta=0.3,colsample_bytree=1,seed,eval="train"){
  ## get the data set
  source("get_data.R")
  
  library(xgboost)
  
  ## set random seed for modeling
  set.seed(seed)
  dat <- get_train_val_data(seed,trainval_data,trainval_label)
  if(eval=="test"){
    dat$val_data <- test_data
    dat$val_label <- test_label
  }
  ## train XGBoost model
  xgb_model <- xgboost(data=dat$train_data,label=dat$train_label,
                       max_depth = max_depth, nrounds = nrounds, 
                       eta=eta, colsample_bytree = colsample_bytree,
                       nthread = 1,verbose = 0)
  rmse_val_gb <- sqrt(mean((predict(xgb_model,dat$val_data) - dat$val_label)^2))
  return(rmse_val_gb)
}